import request from '@/utils/request'

// 查询文章列表
export function listArticleContent(query) {
  return request({
    url: '/service/articleContent/list',
    method: 'get',
    params: query
  })
}

// 查询文章详细
export function getArticleContent(articleId) {
  return request({
    url: '/service/articleContent/' + articleId,
    method: 'get'
  })
}

// 新增文章
export function addArticleContent(data) {
  return request({
    url: '/service/articleContent',
    method: 'post',
    data: data
  })
}

// 修改文章
export function updateArticleContent(data) {
  return request({
    url: '/service/articleContent',
    method: 'put',
    data: data
  })
}

// 删除文章
export function delArticleContent(articleId) {
  return request({
    url: '/service/articleContent/' + articleId,
    method: 'delete'
  })
}
